## wxObjectRefData

This class is used to store reference-counted data. Derive classes from this to store your own data. When retrieving information from a wxObject's reference data, you will need to cast to your own derived class.

Friends

wxObject

See also

wxObject

Members

wxObjectRefData::m_count
wxObjectRefData::wxObjectRefData
wxObjectRefData::~wxObjectRefData

### wxObjectRefData::m_count

int m_count

Reference count. When this goes to zero during a wxObject::UnRef, an object can delete the wxObjectRefData object.

### wxObjectRefData::wxObjectRefData

wxObjectRefData()

Default constructor. Initialises the m_count member to 1.

### wxObjectRefData::~wxObjectRefData

wxObjectRefData()

Destructor.